#ifndef _Handle_PGeom_ElementarySurface_HeaderFile
#define _Handle_PGeom_ElementarySurface_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_PGeom_Surface_HeaderFile
#include <Handle_PGeom_Surface.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(PGeom_Surface);
class PGeom_ElementarySurface;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PGeom_ElementarySurface);

class Handle(PGeom_ElementarySurface) : public Handle(PGeom_Surface) {
  public:

    Handle(PGeom_ElementarySurface)():Handle(PGeom_Surface)() {} 
    Handle(PGeom_ElementarySurface)(const Handle(PGeom_ElementarySurface)& aHandle) : Handle(PGeom_Surface)(aHandle) 
     {
     }

    Handle(PGeom_ElementarySurface)(const PGeom_ElementarySurface* anItem) : Handle(PGeom_Surface)((PGeom_Surface *)anItem) 
     {
     }

    Handle(PGeom_ElementarySurface)& operator=(const Handle(PGeom_ElementarySurface)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PGeom_ElementarySurface)& operator=(const PGeom_ElementarySurface* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PGeom_ElementarySurface* operator->() const 
     {
      return (PGeom_ElementarySurface *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PGeom_ElementarySurface) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
